Name:          libassuan
Version:       2.4.3
Release:       1mamba
Summary:       Libassuan is the IPC library used by some GnuPG related software
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.gnupg.org
Source:        ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-%{version}.tar.bz2
License:       GPL
BuildRequires: libpth-devel
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libassuan is a small library implementing the so-called Assuan protocol.
This protocol is used for IPC between most newer GnuPG components.
Both, server and client side functions are provided.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libassuan is a small library implementing the so-called Assuan protocol.
This protocol is used for IPC between most newer GnuPG components.
Both, server and client side functions are provided.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure --enable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post devel
%install_info assuan.info
/sbin/ldconfig || :

%postun -p /sbin/ldconfig

%preun devel
%uninstall_info assuan.info

%files
%defattr(-,root,root)
%{_libdir}/libassuan.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libassuan-config
%{_includedir}/*.h
%{_libdir}/libassuan.a
%{_libdir}/libassuan.la
%{_libdir}/libassuan.so
%{_datadir}/aclocal/libassuan.m4
%{_infodir}/assuan.info.*
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO

%changelog
* Sun Jul 17 2016 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Fri Dec 11 2015 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Oct 01 2015 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Mon May 18 2015 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Thu Dec 11 2014 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic update by autodist

* Sat Aug 30 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic update by autodist

* Sun Jun 30 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- automatic update by autodist

* Mon Jan 07 2008 Aleph0 <aleph0@openmamba.org> 1.0.4-1mamba
- update to 1.0.4

* Tue Sep 11 2007 Aleph0 <aleph0@openmamba.org> 1.0.3-1mamba
- update to 1.0.3

* Mon Jul 09 2007 Aleph0 <aleph0@openmamba.org> 1.0.2-1mamba
- update to 1.0.2

* Wed Mar 21 2007 Aleph0 <aleph0@openmamba.org> 1.0.1-1qilnx
- update to version 1.0.1 by autospec

* Thu Nov 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.0-1qilnx
- update to version 1.0.0 by autospec

* Mon Jun 19 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.6.10-2qilnx
- fixed installation of info files

* Wed Sep 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.6.10-1qilnx
- update to version 0.6.10 by autospec

* Thu Mar 24 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.6.9-1qilnx
- update to version 0.6.9 by autospec

* Tue Oct 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.7-1qilnx
- package created by autospec
